\begin{abstract}
Enterprise Architectures (EA) are used to define the structure and operation of an organization and commonly find usage in the realization and modification of IT business strategies. We propose a technique to optimize the costs incurred between two layers of the EA, especially considering differing departmental budgets. This is achieved through consideration of a flow problem aiming to optimize a graph consisting of budget-, upper layer-, capability- and lower layer nodes allowing budgets to be used by different departments. Additionally, we implement techniques previously published to allow operational and transitioning costs to be taken into consideration, in an effort to better reflect the organizational problems found in reality.
\end{abstract}